> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sites budgetmatrix

> Returns budget matrix



## OpenAPI

````yaml /api-reference/part-budget-api.yaml get /sites/{site-id}/budget/matrix
openapi: 3.0.1
info:
  title: part-budget-api
  description: Heating control by budget
  termsOfService: TODO
  contact:
    email: api@datanumia.com
  version: 1.0.0
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
paths:
  /sites/{site-id}/budget/matrix:
    get:
      description: Returns budget matrix
      operationId: computeBudgetMatrix
      parameters:
        - name: site-id
          in: path
          description: site-id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BudgetMatrix'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Unkown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    BudgetMatrix:
      required:
        - confidenceIndex
        - budgetVectors
        - metaData
      properties:
        confidenceIndex:
          type: number
        budgetVectors:
          type: array
          items:
            $ref: '#/components/schemas/BudgetMatrixVector'
        metaData:
          type: object
          items:
            $ref: '#/components/schemas/BudgetMatrixMeta'
    ApiError:
      description: ''
      properties:
        errorCode:
          description: Code d'erreur
          type: string
        errorDescription:
          description: Message d'erreur
          type: string
      required:
        - errorCode
    BudgetMatrixVector:
      type: object
      required:
        - t
        - b
      properties:
        t:
          type: array
          items:
            type: number
        b:
          type: number
    BudgetMatrixMeta:
      type: object
      properties:
        currency:
          type: string
          enum:
            - EUR
        tempUnit:
          type: string
          enum:
            - CELSIUS
        tripletCorrespondance:
          type: string

````